org.eclipse.net4j.util.container

## Interface IContainerEvent<E>

- All Superinterfaces:
    IEvent
  All Known Implementing Classes:
    ContainerEvent, SingleDeltaContainerEvent

      public interface IContainerEvent<E>
      extends IEvent

  An `event` fired from a `container` when its elements have changed.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.
  Apiviz
    `IContainerDelta` - - deltas

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(IContainerEventVisitor<E> visitor)`
    `IContainerDelta<E>` | `getDelta()`
    `E` | `getDeltaElement()`
    `IContainerDelta.Kind` | `getDeltaKind()`
    `IContainerDelta<E>[]` | `getDeltas()`
    `IContainer<E>` | `getSource()`
    `boolean` | `isEmpty()`

- - ### Method Detail

    - #### getSource

          IContainer<E> getSource()

      Specified by:
        `getSource` in interface `IEvent`
      Since:
        3.0

    - #### isEmpty

          boolean isEmpty()

    - #### getDeltas

          IContainerDelta<E>[] getDeltas()

    - #### getDelta

          IContainerDelta<E> getDelta()
                               throws IllegalStateException

      Throws:
        `IllegalStateException`

    - #### getDeltaElement

          E getDeltaElement()
                     throws IllegalStateException

      Throws:
        `IllegalStateException`

    - #### getDeltaKind

          IContainerDelta.Kind getDeltaKind()
                                     throws IllegalStateException

      Throws:
        `IllegalStateException`

    - #### accept

          void accept(IContainerEventVisitor<E> visitor)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html